<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$action = $_GET['action'];
	
switch ($action){ 
	default :
		$name_option = $_GET['name_option'];
		$option = $_GET['option'];
		$giatri_plus = $_GET['giatri_plus'];	$giatri_plus = abs(intval($giatri_plus));
		
		$pass2 = $_GET['pass2'];
		
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif(empty($name_option)) {
			echo "<font color='red'>Chưa nhập tên tài khoản memb cần xử lý.</font><br>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $name_option))
			{
				echo "<font color='red'>Dữ liệu lỗi - Tên tài khoản memb chỉ được sử dụng kí tự a-z, A-Z, số (1-9).</font><br>";
			}
		elseif (!preg_match("/^[a-z_]*$/i", $option))
			{
				echo "<font color='red'>Dữ liệu lỗi - Chức năng chỉ được sử dụng kí tự a-z và _ .</font><br>";
			}
		elseif (!preg_match("/^[0-9]*$/i", $giatri_plus))
			{
				echo "<font color='red'>Dữ liệu lỗi - Giá trị chỉ được sử dụng số 1-9.</font>";
			}
		elseif(empty($pass2)) {
			echo "Chưa nhập mật khẩu cấp 2.";
		}
		else {
			
			$getcontent_url = $server_url . "/sv_moddaily.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
				'pass2'    =>  $pass2,
				'name_option'	=> $name_option,
				'option'	=> $option,
                'giatri_plus'    =>  $giatri_plus,
                
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) echo "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				echo "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
			     $info = read_TagName($reponse, 'info', 1);
				if($info == 'OK') {
                    $notice = read_TagName($reponse, 'notice', 1);
					echo "<vweb>OK<vweb>$notice<vweb>";
				}
				else echo $reponse;
			}
		}
}
?>